View Issue Details

IDProjectCategoryView StatusLast Update
0001668NoesisGUIUnity3Dpublic2020-05-07 01:33
ReporterstonstadAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version3.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001668: NoesisPostProcessor.ImportXaml NullReferneceException After Font Deletion
DescriptionThis code fails after a font is deleted:

            foreach (var dep in xaml.fonts)
            {
                if (File.Exists(dep.source))
                {
                    ImportFont(dep.source, false, false);
                }
            }

NullReferenceException: Object reference not set to an instance of an object
NoesisPostprocessor.ImportXaml (System.String filename, System.Boolean reimport, System.Boolean reload, System.Boolean& changed) (at Assets/NoesisGUI/Plugins/Editor/NoesisPostprocessor.cs:360)
NoesisPostprocessor.ImportXaml (System.String filename, System.Boolean reimport, System.Boolean reload, System.Boolean& changed) (at Assets/NoesisGUI/Plugins/Editor/NoesisPostprocessor.cs:353)
NoesisPostprocessor.ImportAssets (System.String[] assets, System.Boolean reload, NoesisPostprocessor+UpdateProgress d) (at Assets/NoesisGUI/Plugins/Editor/NoesisPostprocessor.cs:55)
NoesisPostprocessor+<>c__DisplayClass4_1.<OnPostprocessAllAssets>b__0 () (at Assets/NoesisGUI/Plugins/Editor/NoesisPostprocessor.cs:110)
System.Reflection.MonoMethod.Invoke (System.Object obj, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at <437ba245d8404784b9fbab9b439ac908>:0)
Rethrow as TargetInvocationException: Exception has been thrown by the target of an invocation.
System.Reflection.MonoMethod.Invoke (System.Object obj, System.Reflection.BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at <437ba245d8404784b9fbab9b439ac908>:0)
System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) (at <437ba245d8404784b9fbab9b439ac908>:0)
System.Delegate.DynamicInvokeImpl (System.Object[] args) (at <437ba245d8404784b9fbab9b439ac908>:0)
System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) (at <437ba245d8404784b9fbab9b439ac908>:0)
System.Delegate.DynamicInvoke (System.Object[] args) (at <437ba245d8404784b9fbab9b439ac908>:0)
UnityEditor.EditorApplication.Internal_CallUpdateFunctions () (at <bf679006b1b84db2a5a44842ef13dc36>:0)
TagsNo tags attached.
PlatformAny

Activities

stonstad

stonstad

2020-04-25 00:07

reporter  

NullRef.PNG (81,410 bytes)
NullRef.PNG (81,410 bytes)
stonstad

stonstad

2020-04-27 16:45

reporter   ~0006283

Restarting Unity did not resolve the behavior. I added a null check to the code for 'dep'. Not sure why I am getting this after deleting a font.
jsantos

jsantos

2020-05-07 01:33

manager   ~0006324

Thanks for your great feedback!

Issue History

Date Modified Username Field Change
2020-04-25 00:07 stonstad New Issue
2020-04-25 00:07 stonstad File Added: NullRef.PNG
2020-04-27 12:26 jsantos Assigned To => jsantos
2020-04-27 12:26 jsantos Status new => assigned
2020-04-27 12:26 jsantos Target Version => 3.0.0
2020-04-27 12:26 jsantos Description Updated View Revisions
2020-04-27 16:45 stonstad Note Added: 0006283
2020-05-07 01:33 jsantos Status assigned => resolved
2020-05-07 01:33 jsantos Resolution open => fixed
2020-05-07 01:33 jsantos Fixed in Version => 3.0.0
2020-05-07 01:33 jsantos Note Added: 0006324